Bug 54561 - A bad syslogd.conf make computer freeze
Summary: A bad syslogd.conf make computer freeze
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-12 13:25 UTC by grenier
Modified: 2007-04-18 16:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 21:14:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description grenier 2001-10-12 13:25:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [fr] (X11; U; Linux 2.2.19 i686)

Description of problem:
My bad syslogd.conf file ends by
*.*	/dev/tty12
*
When syslogd starts, there is a warning message about this problem.
But when I try to switch to another console, the computer freezes.


Version-Release number of selected component (if applicable): 1.4-7


How reproducible:
Always (on the same computer)

Steps to Reproduce:
1.Modify /etc/syslogd.conf
2.Restart syslog
3.Switch to another console

	

Actual Results:  The computer freeze

Additional info:

The computer is under kernel 2.2.19

Comment 1 D. Stimits 2002-01-20 22:16:29 UTC
I have found that syslogd on RH 7.1 attempts to restart 6 times. The restart
mechanism is incorrect, and tries to spawn too many syslogd daemons. I have also
found that attempting a shutdown or xinetd restart during that time will cause
hard lockup or oops. In my particular case, I'm using SMP. This is the second
time I've hit this problem, and it should be moved up in priority.

Comment 2 Jason Vas Dias 2004-08-30 21:14:36 UTC
Just clearing out old bugs here.
This bug was fixed a long time ago, but never got closed.
It is certainly fixed in the current version of syslog:
sysklogd-1.41-22.



Note You need to log in before you can comment on or make changes to this bug.